Bug 216286

Summary: Bad performance on Promise raid with 2.6.18 kernel
Product: [Fedora] Fedora Reporter: Ondrej Dolak <ondrej.dolak>
Component: kernelAssignee: Jeff Garzik <jgarzik>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: davej, peterm, triage, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 16:51:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 172490    
Attachments:
Description Flags
lspci & raid & partitions none

Description Ondrej Dolak 2006-11-18 19:22:34 UTC
Description of problem:
Using kernel-smp-2.6.18 cause bad performance on SW Promise SATA Raid-1 (on ASUS
P4C800-E Deluxe). This is mostly visible when using apps which access frequently
(=many files?) the raid partition ie. thunderbird (also when writing emails),
KDE (mostly when ending session). The applications hang for a while, the disk
makes big activity (crunch), gui hangs, after ending disk activity everything is
 OK.

When I boot to kernel-smp-2.6.17 everything works just fine.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.18 (all available updates)

How reproducible:
always

Steps to Reproduce:
1.use kernel-2.6.18
2.run application which use the raid partition (in my case is it /home)

  
Actual results:
big disk activity (disk crunch), gui seizing

Expected results:
low disk activity (no disk crunch), no gui seizing

Additional info:
When I umount the raid partition (/home) and log into my account with /home on
"regular" partition (on another SATA drive) everything works fine, so I think
that this is connected with changes on raid in 2.6.18 kernel

Comment 1 Ondrej Dolak 2006-11-18 19:22:34 UTC
Created attachment 141566 [details]
lspci & raid & partitions

Comment 2 Bug Zapper 2008-04-04 04:46:37 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2008-05-06 16:51:40 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.